Post Offline Request Token to JFrog Entitlements Service

Posts the offline request token from the air-gapped JPD to the JFrog Entitlements Service and returns the entitlements in JSON format.

You must run this API from a machine that has connectivity to the Internet.

The offline_response_token needed for applying entitlements is returned as a response header.

Example 1 - Save the entitlements to a file:

curl -v -L 'https://jes.jfrog.io/api/v1/offline_register' \
  -H 'Content-Type: application/json' \
  --data '{"offline_request_token": "<offline_request_token>"}' \
  > entitlements.json

The -v flag prints the response headers (including offline_response_token) to stderr while saving the response body to entitlements.json.

Example 2 - Extract only the offline_response_token:

curl -s -L 'https://jes.jfrog.io/api/v1/offline_register' \
  -H 'Content-Type: application/json' \
  --data '{"offline_request_token": "<offline_request_token>"}' \
  -o /dev/null -D - | grep offline_response_token

This discards the response body and prints only the offline_response_token header value to the screen.

You need both the entitlements.json file and the offline_response_token header value to complete the next step: applying entitlements to the air-gapped JPD using the JFConnect Apply Entitlements API.

Warning: If you save the response manually instead of directing the response body to an entitlements.json file, ensure that there are no spaces or any modifications. Any change in the response fails checksum validation when you apply entitlements.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

The offline request token obtained from the start register endpoint on the air-gapped JPD

Responses

400

Bad Request - Invalid token

500

Internal Server Error

Language
LoadingLoading…
Response
Choose an example:
text/plain